matrix:
  platform:
  - ubuntu2004
  - macos
  - macos_arm64
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    build_targets:
    - '@toolchains_llvm//toolchain:all'
    - '@toolchains_llvm//platforms:all'
bcr_test_module:
  module_path: tests
  matrix:
    platform:
    - ubuntu2004
    - macos
    - macos_arm64
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      build_targets:
      - //:all
      test_targets:
      - //:all
